#include <bits/stdc++.h>
using namespace std;

int main()
{
    int l;
    cin>>l;
    long long duzina=0;
    long long brjedan[10]={0};
    long long temp=l,promene,i1,i2,parovi;
    for (duzina=0;temp>0; duzina++) {
        temp=temp/10;
    }
    vector<int> a;
    int b[]={0};
    for(; l; l/=10)
        a.push_back( l%10 );
    reverse(a.begin(),a.end());
      for(int i=0; i<duzina; i++){
        switch(a[i]){
        case 0: brjedan[0]++;
                break;
        case 1: brjedan[1]++;
                break;
        case 2: brjedan[2]++;
                break;
        case 3: brjedan[3]++;
                break;
        case 4: brjedan[4]++;
                break;
        case 5: brjedan[5]++;
                break;
        case 6: brjedan[6]++;
                break;
        case 7: brjedan[7]++;
                break;
        case 8: brjedan[8]++;
                break;
        case 9: brjedan[9]++;
                break;


        }
        }
    for(int i=0; i<10; i++){
                if(brjedan[i]>1){
                    parovi++;
                }
    }
    temp=0;
    for(int i=0; i<duzina-2; i++){
        i1=i+1;
        i2=i+2;
        temp=a[i];
        if(a[i]<=a[i1]&&a[i1]<=a[i2]){
            b[i]=3;
            b[i1]=3;
            b[i2]=3;
            parovi--;
            break;
        }
        else if(a[i1]<=a[i+2]&&(a[i]>a[i2]||a[i]<a[i1])){
                b[i]=13;
                b[i1]=2;
                b[i2]=2;
        }
        else if(a[i]<=a[i2]&&(a[i1]>a[i2]||a[i1]<a[i])){
                b[i]=2;
                b[i2]=2;
                b[i1]=11;
        }
        else if(a[i]<=a[i1]&&(a[i2]<a[i1]||a[i2]<a[i])){
                b[i]=2;
                b[i1]=2;
                b[i2]=12;
        }



    }


    temp=0;
    for(int i=0; i<duzina-2; i++){
        i1=i+1;
        i2=i+2;
        temp=a[i];
        if(brjedan[temp]<=1){

        }
        else{
        if(b[i]==2){
            if(b[i1]==2){
                a[i2]=a[i];
                promene++;
                }
            else if(b[i2]==2){
                a[i1]=a[i];
                promene++;
            }

        }
    }
}
cout<<promene;
}